﻿@model NaveoService.ViewModel.UserViewModel
@{
    ViewBag.Title = "Sign In";
    Layout = "~/Views/Shared/_LayoutLogin.cshtml";

    var errorMessage = (ViewBag.Error != null) ? ViewBag.Error.ToString() : string.Empty;
}
<style>
    .validation-overlay {
        position: absolute;
        top: 50px;
        width: 100%;
        height: auto;
        background-color: white;
        opacity: 0.95;
        border: 1px solid #ccc;
        z-index: 999999;
        box-shadow: -6px 6px 5px #ccc;
        color: red;
        padding: 10px 5px;
        font-size: 0.8em;
    }

        .validation-overlay ul li {
            list-style-type: none;
            margin-left: -20px;
        }
</style>

<div id="sign-wrapper">
    <div>
        <img src="~/Resources/Images/Logo/NaveoOne.jpg" class="img-responsive" alt="brand logo" />
    </div>
    <div class="sign-header"> </div>
    <div class="flip-container">
        @errorMessage
        <div class="flipper">
            @using (Html.BeginForm("DummyLogin", "Account", FormMethod.Post, new { @class = "sign-in form-horizontal shadow rounded no-overflow", role = "form", id = "LoginForm" }))
            {
                @Html.AntiForgeryToken()
                <div class="front">
                    <div class="sign-body">
                        <input type="hidden" name="SignForget" value="Signin" />
                        <div class="form-group">
                            <div class="input-group input-group-lg rounded no-overflow">
                                @Html.TextBoxFor(a => a.Email, new { @placeholder = "Username", @class = "form-control input-sm" })
                                <span class="input-group-addon"><i style="margin-left:9px; font-size:17px;" class="fa fa-user"></i></span>
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="input-group input-group-lg rounded no-overflow">
                                @Html.PasswordFor(a => a.Password, new { @placeholder = "Password", @class = "form-control input-sm" })
                                <span class="input-group-addon" style="padding-left: 6px;">
                                    <button type="button" id="eye" onclick="ShowHide();" style="width:175%; height:168%; margin-left:-3px; border:none; background-color:white; border-color:white;">
                                        <img id="changeimage" class="img-responsive" src="@Url.Content("~/Resources/Images/show1.png")" alt="eye" />
                                    </button>
                                </span>
                            </div>
                        </div>
                    </div>
                    <div class="sign-footer">
                        <div class="form-group">
                            <input type="submit" class="btn btn-theme btn-lg btn-block no-margin rounded" id="login-btn" value="Sign In">
                            @*<i class="fa fa-sign-in"></i>*@
                        </div>
                    </div>
                </div>

            }
        </div>
    </div>

</div>

<section>
    <br />
    <!-- Start footer content -->
    <footer class="footer-content">
        <span id="tour-19">
            @DateTime.Now.Year - <span id="copyright-year"></span> &copy; <a href="http://naveo.mu/" target="_blank">Navigation and Geocoding Technologies Ltd.</a>
        </span>
        <span id="tour-20" class="pull-right"><a href="#" target="_blank" title="Help">v4
            .7</a></span>
    </footer><!-- /.footer-content -->
    <!--/ End footer content -->
</section>
@section scripts {
    <script>
        function ShowHide() {
            var $password = $('#password');
            console.log($password)
            var $changeImage = $('#changeimage');
            if ($password.attr('type') == "password") {
                $password.attr('type', "text");
                $changeImage.attr('src', "@Url.Content("~/Resources/Images/hide.png")");
            }
            else {
                $password.attr('type', "password");
                $changeImage.attr('src', "@Url.Content("~/Resources/Images/show1.png")");

            }
        }
    </script>

}